Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.cometd
Class JSONPTransport

    java.lang.Object
      org.mortbay.cometd.AbstractTransport
          org.mortbay.cometd.JSONPTransport

All Implemented Interfaces:
  Transport

    public class JSONPTransport

extends AbstractTransport

Author:
  aabeling, gregw

Field Summary
`static String` | `__DEFAULT_CALLBACK`

Constructor Summary
`JSONPTransport(boolean commented, String jsonp)`

Method Summary
`void` | `complete()`
`String` | `getJsonp()`
`boolean` | `isJSONCommented()`
`boolean` | `resumePoll()`
`void` | `send(org.cometd.Message message)`
`void` | `setJSONCommented(boolean commented)`
`String` | `toString()`

Methods inherited from class org.mortbay.cometd.AbstractTransport
`getPollReply, getResponse, setPollReply, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### __DEFAULT_CALLBACK

    public static final String __DEFAULT_CALLBACK

See Also:
  Constant Field Values

Constructor Detail

### JSONPTransport

    public JSONPTransport(boolean commented,
                          String jsonp)

Method Detail

### send

    public void send(org.cometd.Message message)
              throws IOException

  Throws:
    `IOException`

### complete

    public void complete()
                  throws IOException

  Throws:
    `IOException`

### resumePoll

    public boolean resumePoll()

### getJsonp

    public String getJsonp()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### isJSONCommented

    public boolean isJSONCommented()

  Returns:
    the commented

### setJSONCommented

    public void setJSONCommented(boolean commented)

  Parameters:
    `commented` - the commented to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.